<?php
header("Content-Type: text/html; charset=UTF-8");
include ('my_init.php');
global $baseref_1, $baseref_2;
global $titel_1, $titel_2;
global $website;
global $device;
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html>
<head>
<?php print $baseref_1; ?>
<?php print $titel_1; ?>
<?php if ($device=='phone') { ?> <link rel="stylesheet" href="mystyle_tlf.css" type="text/css"></link>
<?php } elseif ($device=='tablet') { ?> <link rel="stylesheet" href="mystyle_tablet.css" type="text/css"></link>
<?php } else { ?> <link rel="stylesheet" href="mystyle.css" type="text/css"></link> <?php } ?>
<link rel="shortcut icon" href="../bibliotheek/favicon_32x32.ico"></link>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body class="main">

<h1>How to</h1>

<p>De initi&euml;le keuze voor 'username' en 'password' is aan je bekend gesteld. Als je het 'password' bent vergeten, dan krijg je na opgave van jouw 'username' een nieuw 'password' toegezonden (automatisch) aan het e-mail adres dat is gekoppeld aan de 'username'. Het is raadzaam dat je vervolgens inlogt en het toegezonden 'password' naar eigen inzicht wijzigt. Ook de 'username' kan naar eigen inzicht worden aangepast; de enige beperking hierbij is dat de 'username' uniek moet zijn: wanneer je een 'username' kiest die reeds bestaat, volgt een foutmelding. Het 'password' wordt versleuteld opgeslagen. Ook voor de webmaster is het wachtwoord niet leesbaar: het is alleen bekend bij jou.</p>

<p>Het aantal foutieve inlogpogingen vanaf een ip-adres is gemaximeerd. Ook wanneer enkele inlogpogingen vanaf een ip-adres <i>kort na elkaar</i> plaatsvinden wordt de toegang enige tijd geblokkeerd. Wanneer de 'login' lang genoeg onberoerd blijft, dan wordt deze onbruikbaar (je moet dan opnieuw inloggen). Periodiek op <font color="green">home</font> klikken houdt de 'login' bruikbaar.</p>

<!--
<p>Na het uitloggen wordt het onmogelijk het tabblad (in de browser) verder te gebruiken: het moet worden afgesloten; opnieuw inloggen lukt ook niet, daarvoor moet de browser eerst geheel worden afgesloten en opnieuw gestart. Een eenvoudig alternatief is het tabblad te sluiten: dan kun je gewoon opnieuw inloggen. </p>
-->

<p>Naar behoefte kunnen door de webmaster menukeuzes worden aangemaakt. Autorisaties <i>per menukeuze</i> en <i>per account</i> zijn vastgelegd in de tabel "x_account" in de database. Een van de functies achter de 'login' is het uitvoeren van een mailing. Daartoe dienen de volgende 'hulpmiddelen':<br>
- het bericht zelf is vastgelegd in de <i>functie</i> "mailing_inhoud_mail.php" en/of "mailing_inhoud_sms.php",<br>
- de afzender, onderwerp en verwerking van gepersonificeerde elementen (bv persoonlijke aanhef) in de <i>functie</i> "mailing.php" en<br>
- de bron van de gepersonificeerde elementen (w.o. de adressering) in de <i>tabel</i> "x_mailing" in de database.</p>

<p><i><u>Opmerking</u>: De combinatie 'username' = demo, 'password' = demo en 'return to check' = 0 geeft inzicht in de werking van het login-deel.</i></p>

</body>
</html>

